DropIfFlaggedFilterFactory (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.miscellaneous, class: DropIfFlaggedFilterFactory

Package org.apache.lucene.analysis.miscellaneous

# Class DropIfFlaggedFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.miscellaneous.DropIfFlaggedFilterFactory

public final class DropIfFlaggedFilterFactory extends TokenFilterFactory
Provides a filter that will drop tokens matching a set of flags. This might be used if you had both custom filters that identify tokens to be removed, but need to run before other filters that want to see the token that will eventually be dropped. Alternately you might have separate flag setting filters and then remove tokens that match a particular combination of those filters.
In Solr this might be configured such as

         <analyzer type="index">
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <-- other filters -->
           <filter class="solr.DropIfFlaggedFilterFactory" dropFlags="9"/>
         </analyzer>

The above would drop any token that had the first and fourth bit set.

Since:
  8.8.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "dropIfFlagged"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropIfFlaggedFilterFactory()`
  Default ctor for compatibility with SPI
  `DropIfFlaggedFilterFactory(Map<String,String> args)`
  Initialize this factory via a set of key-value pairs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenStream`
  `create(TokenStream input)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DropIfFlaggedFilterFactory

    public DropIfFlaggedFilterFactory(Map<String,String> args)
    Initialize this factory via a set of key-value pairs.

  - ### DropIfFlaggedFilterFactory

    public DropIfFlaggedFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public TokenStream create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`